# HyperExpress.Session: High Performance Cookie Sessions Middleware
#### Built for [`HyperExpress`](https://github.com/kartikk221/hyper-express)

## Motivation
HyperExpress.Session aims to provide a simple middleware that implements a session engine with high flexibility while being performant. This middleware is unopinionated and can be used with any storage mechanism of your choice.

## Installation
HyperExpress and HyperExpressWS can both be installed using node package manager (`npm`)
```
npm i hyper-express
npm i hyper-express-session
```

## Documentation
- See [`> [Examples & Snippets]`](./docs/Examples.md) for small and **easy-to-use snippets** with HyperExpress.Session.
- See [`> [SessionEngine]`](./docs/SessionEngine.md) for creating a session engine and working with the **SessionEngine** component.
- See [`> [Session]`](./docs/Session.md) for working with the **Session** component to manipulate request sessions.

## License
[MIT](./LICENSE)
